# Index Now


CONTENTS OF THIS FILE
---------------------

 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Maintainers


INTRODUCTION
------------

**Index Now** submit requests to search engines when content (nodes / 
taxonomy terms) has been created, updated or deleted on your website.
The module provides a service that you can use to send more requests
according to your needs.

Supported search engines are:
- Microsoft Bing
- Yandex
- Seznam.cz
- Naver
Note: Since November 2021, compatibles search engines will immediately share
all the submitted URLs with every other compatible search engine.
This means that if you choose to notify one search engine,
you notify every other one in the same time.

 * For a full description of the module, visit the project page:
   https://www.drupal.org/project/index_now

 * To submit bug reports and feature suggestions, or track changes:
   https://www.drupal.org/project/issues/index_now


REQUIREMENTS
------------

This module requires no modules outside of Drupal core.


INSTALLATION
------------

Install as you would normally install a contributed Drupal module. Visit
https://www.drupal.org/node/1897420 for further information.


CONFIGURATION
-------------

Go to `/admin/config/services/index_now`, generate the API key and choose the
default search engine you want to interact with.
You can also exclude content types, taxonomy vocabularies and/or commerce
products types for which you don't want to use Index Now.
If you don't want to use that feature on an environment (ex: local / preprod)
just don't generate the API key.


SERVICE
-------

The module provides a service that can be used to index other URLs than just
nodes and taxonomy terms pages.

Here is how to use it:
`\Drupal::service('index_now.indexnow')->sendRequest($your_url);`

**Note:** `$your_url` must be an absolute URL hosted on your website.
Also keep in mind that the page needs to be accessible by an anonymous user.


DRUSH COMMAND
-------------

In case you would need to regenerate the API key you can use the drush command:
`drush index_now:keygenerate` or its alias `drush indnowkeygen`


MAINTAINERS
-----------

Current maintainers:
 * Maxime Roux (MacSim) - https://www.drupal.org/u/macsim
