<?php

namespace Drupal\index_now\Commands;

use Drupal\index_now\Service\IndexNowKeyManagerInterface;
use Drush\Commands\DrushCommands;

/**
 * Drush index_now key commands.
 */
class IndexNowKeyCommands extends DrushCommands {

  /**
   * The Index Now key manager service.
   *
   * @var \Drupal\index_now\Service\IndexNowKeyManagerInterface
   */
  protected $indexNowKeyManager;

  /**
   * Class constructor.
   *
   * @param \Drupal\index_now\Service\IndexNowKeyManagerInterface $index_now_key_manager
   *   The Index Now key manager.
   */
  public function __construct(IndexNowKeyManagerInterface $index_now_key_manager) {
    $this->indexNowKeyManager = $index_now_key_manager;
  }

  /**
   * Generate the key.
   *
   * @command index_now:keygenerate
   * @aliases indnowkeygen
   *
   * @usage index_now:keygenerate
   */
  public function generateKey() {
    $this->indexNowKeyManager->generateKey();
    $key = $this->indexNowKeyManager->getKey();
    $this->output()->writeln('Index Now API key as been generated: ' . $key);
  }

}
